System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.IO.TextWriter

The methods of the intrinsic object make internal calls to an object.

Provides a object that is accessed through the intrinsic object.

- Method
  System.Void To be added

  Sends all buffered output to the HTTP output stream and closes the socket connection.

  1.0.5000.0
  2.0.0.0
- Property
  System.Text.Encoding a To be added

  Gets an object for the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  Sends all buffered output to the HTTP output stream.

  1.0.5000.0
  2.0.0.0
- Property
  System.IO.Stream a To be added

  Gets a object to enable HTTP output directly from the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added

  Sends a single character to the HTTP output stream.

  The character to send to the HTTP output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Sends an to the HTTP output stream.

  The to send to the HTTP output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Sends a string to the HTTP output stream.

  The string to send to the HTTP output stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Sends a stream of characters with the specified starting position and number of characters to the HTTP output stream.

  The memory buffer containing the characters to send to the HTTP output stream The buffer position of the first character to send. The number of characters to send beginning at the position specified by . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added

  Sends a stream of bytes with the specified starting position and number of bytes to the HTTP output stream.

  The memory buffer containing the bytes to send to the HTTP output stream. The buffer position of the first byte to send. The number of bytes to send, beginning at the byte position specified by . 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added

  Sends a carriage return + line feed (CRLF) pair of characters to the HTTP output stream.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` To be added

  Sends a string with the specified starting position and number of characters to the HTTP output stream.

  The string to send to the HTTP output stream. The character position of the first byte to send. The number of characters to send, beginning at the character position specified by . 1.0.5000.0 2.0.0.0